import java.util.Scanner;
	public static void main(String[]args){
		Scanner sc=new Scanner(System.in);
	    int T=sc.nextInt();
	    int ai;
	    int bi;
	    int x;
	    int y;
	    boolean b;
	    int []c=new int[2];
	    int[][]a=new int[T][2];
	    for(int i=0;i<T;i++){
	        a[i][0]=sc.nextInt();
	        a[i][1]=sc.nextInt();
	        if (a[i][0]%2==0){
	            i=i-1;
	        }
	    }    
	    for(int j=0;j<T;j++){
            b=false;
	        ai=a[j][0];
	        bi=a[j][1];
	        for(int k=1;k<=ai/2;k++){
	            if(ai%k==0){
	                x=k;
	                y=ai/k;
	                if (x^y==bi){
	                c[0]=x;
	                c[1]=y;
	                b=true;
	                }    
	            }
            
	        }
	        if(b==true){
	            System.out.println(c);
	        }else{
	            System.out.println(-1);
	        }    
	    }
	}
}